## org.jfree.chart.urls
Interface XYURLGenerator

All Known Subinterfaces:
  XYZURLGenerator

All Known Implementing Classes:
  CustomXYURLGenerator, StandardXYURLGenerator, StandardXYZURLGenerator, TimeSeriesURLGenerator

public interface XYURLGenerator

Interface for a URL generator for plots that uses data from an `XYDataset`.

Author:
  Richard Atkinson

Method Summary
`java.lang.String` `generateURL(XYDataset data, int series, int item)` Generates a URL for a particular item within a series.

Method Detail

### generateURL

    public java.lang.String generateURL(XYDataset data,
                                        int series,
                                        int item)

  Generates a URL for a particular item within a series.

  Parameters:
    `data` - the dataset.
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    a string containing the generated URL.